### Function

# EBookContacts BookQuery and

#### Declaration [src]

    EBookQuery*
    e_book_query_and (
      gint nqs,
      EBookQuery** qs,
      gboolean unref
    )

#### Description [src]

Create a new `EBookQuery` which is the logical AND of the queries in #qs.

#### Parameters

`nqs`

  Type: `gint`

  The number of queries to AND.

`qs`

  Type: `EBookQuery`

  Pointer to an array of `EBookQuery` items.

  The data is owned by the caller of the function.

`unref`

  Type: `gboolean`

  If `TRUE`, the new query takes ownership of the existing queries.

#### Return value

Type: `EBookQuery`

A new `EBookQuery`.

The caller of the function takes ownership of the data, and is responsible for freeing it.